Package com.ads.api.beans.common

# Enum Class APIConstants.ELNScope

java.lang.Object
java.lang.Enum<APIConstants.ELNScope>
com.ads.api.beans.common.APIConstants.ELNScope

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.ELNScope>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.ELNScope extends Enum<APIConstants.ELNScope>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  Integer value = 4
  `COLUMNS`
  Integer value = 2
  `NONE`
  Integer value = 0
  `TABLES`
  Integer value = 1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.ELNScope`
  `getScope(int value)`
  `static boolean`
  `isValid(int value)`
  To check the input eln scope is valid or not
  `int`
  `toInt()`
  `static APIConstants.ELNScope`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.ELNScope[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final APIConstants.ELNScope NONE
    Integer value = 0

  - ### TABLES

    public static final APIConstants.ELNScope TABLES
    Integer value = 1

  - ### COLUMNS

    public static final APIConstants.ELNScope COLUMNS
    Integer value = 2

  - ### BOTH

    public static final APIConstants.ELNScope BOTH
    Integer value = 4

- ## Method Details

  - ### values

    public static APIConstants.ELNScope[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.ELNScope valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getScope

    public static APIConstants.ELNScope getScope(int value)
    Parameters:
      `value` -
    Returns:
      this will return ELNScope object for the integer value passed if that is matched else NONE Option will be returned

  - ### isValid

    public static boolean isValid(int value)
    To check the input eln scope is valid or not
    Parameters:
      `value` -
    Returns:

  - ### toInt

    public int toInt()
    Returns:
      the integer value of the option